Anonymous Login
2020-01-27 08:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001831OpenClonkEnginepublic2016-10-21 20:33
ReporterK-Pone 
Assigned ToIsilkor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0001831: Overloading non-function with function causes ICE
DescriptionOverriding a local variable with a function of the same name results in an internal compiler error.
Steps To Reproducelocal a;
func a() {}
TagsNo tags attached.
Attached Files
  • png file icon asf.PNG (42,378 bytes) 2016-10-20 23:05 -
    png file icon asf.PNG (42,378 bytes) 2016-10-20 23:05 +

-Relationships
+Relationships

-Notes

~0005464

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/cada67c0977a7a7aaa9437436605220622b76cf6

Changeset cada67c by Nicolas Hake <isilkor@openclonk.org>
Prohibit overriding local vars with functions (0001831)

The old parser threw a standard compile error in this case; the
AST-based parser threw an ICE, which is ultimately the same thing but
made it sound like the parser was at fault. And maybe it is, and we
should allow code like "local a; func a() {}" but that seems like it
should be a conscious design decision.

~0005465

Isilkor (developer)

Resolved the same way the old parser did: by throwing an error.
+Notes

-Issue History
Date Modified Username Field Change
2016-10-20 23:05 K-Pone New Issue
2016-10-20 23:05 K-Pone File Added: asf.PNG
2016-10-21 19:39 Isilkor Assigned To => Isilkor
2016-10-21 19:39 Isilkor Reproducibility have not tried => always
2016-10-21 19:39 Isilkor Status new => assigned
2016-10-21 19:39 Isilkor Summary Assertion failed => Overloading non-function with function causes ICE
2016-10-21 19:39 Isilkor Description Updated View Revisions
2016-10-21 19:39 Isilkor Steps to Reproduce Updated View Revisions
2016-10-21 20:32 occ Note Added: 0005464
2016-10-21 20:33 Isilkor Status assigned => resolved
2016-10-21 20:33 Isilkor Resolution open => fixed
2016-10-21 20:33 Isilkor Note Added: 0005465
+Issue History